%if 0%{?rhel}
%define local_dist_name centos
%else
%define local_dist_name fedora
%endif

Name:		qubes-vm-meta-packages
Version:	4.3.0
Release:	1%{?dist}
Summary:	Meta packages for Qubes-specific components
BuildArch:  noarch

Group:		System Environment/Base
License:	GPLv2+
URL:		https://www.qubes-os.org/

BuildRequires: make

Source0: %{name}-%{version}.tar.gz

%package -n qubes-vm-dependencies
Summary:    Meta package with packages required in Qubes VM
Requires:   qubes-core-agent
Requires:   qubes-core-agent-systemd
Requires:   qubes-gui-agent
Requires:   xen-runtime
Obsoletes:  xen-qubes-vm < 2001:4.9

%description -n qubes-vm-dependencies
This package depends on packages required to be installed in Qubes VM.

%package -n qubes-vm-recommended
Summary:    Meta package with packages recommended in Qubes VM
Requires:   xfce4-notifyd
Requires:   pulseaudio-daemon
Requires:   (pipewire-qubes if pipewire-pulseaudio)
Requires:   (pulseaudio-qubes if pulseaudio)
Requires:   qubes-core-agent-dom0-updates
Requires:   (qubes-core-agent-nautilus if nautilus)
Requires:   (qubes-core-agent-thunar if Thunar)
Requires:   (qubes-core-agent-network-manager if NetworkManager)
Requires:   qubes-core-agent-networking
Requires:   qubes-core-agent-passwordless-root
Requires:   qubes-gpg-split
Requires:   qubes-img-converter
Requires:   qubes-input-proxy-sender
Requires:   qubes-mgmt-salt-vm-connector
Requires:   qubes-usb-proxy
Requires:   fwupd-qubes-vm
# qubes-pdf-converter needs python3.7+ currently
# not fully available
%if ! (0%{?rhel} && 0%{?rhel} <= 8)
Requires:   qubes-pdf-converter
%endif

%description -n qubes-vm-recommended
Installing this package is recommended to have full functionality available in
Qubes VM.

%description
Meta packages for easy maintenance of installed Qubes OS specific packages.

%package -n qubes-repo-contrib
Summary: Repository definition for packages contributed to Qubes OS

%description -n qubes-repo-contrib
Contrib repository contains packages written/adopted specifically for Qubes,
not available in upstream repositories.

%package -n qubes-vm-guivm
Summary: Meta package with packages required in a GuiVM
Requires: xorg-x11-server-Xorg
Requires: xorg-x11-server-Xephyr
Requires: setxkbmap
Requires: qubes-gui-daemon
Requires: qubes-core-admin-client
Requires: qubes-artwork
Requires: qubes-menus
Requires: qubes-input-proxy-receiver
Requires: qubes-gui-vnc

%description -n qubes-vm-guivm
This package depends on packages required to be installed in a GuiVM.

%prep
%setup -q

%build

%install
# contrib repo
make -C repos install-vm-%{local_dist_name} DESTDIR=$RPM_BUILD_ROOT

%files

%files -n qubes-repo-contrib
%config(noreplace) /etc/yum.repos.d/qubes-contrib-vm-r4.2.repo
/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.2-contrib-%{local_dist_name}
/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib-%{local_dist_name}

%files -n qubes-vm-dependencies

%files -n qubes-vm-recommended

%files -n qubes-vm-guivm

%changelog
* Sun May 26 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-meta-packages.git

* Sun May 26 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5b196aa
- version 4.3.0

* Sun May 26 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aaf43e0
- archlinux: remove version number from repo config name

* Sun May 26 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e0a4c00
- ci: switch to R4.3

* Sun May 26 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5f76aef
- archlinux: switch repositories to R4.3 and remove R4.2 key

* Sun May 26 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - df9ed20
- archlinux: Add R4.3 signing key

* Sat May 25 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d399dda
- version 4.2.14

* Sat May 25 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5899451
- rpm: restore empty %files section

* Sat May 25 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a67f0b7
- version 4.2.13

* Wed May 22 2024 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 46102d0
- Move comps files to qubes-release

* Tue May 21 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1d59834
- version 4.2.12

* Sat May 11 2024 Rusty Bird <rustybird@net-c.com> - 8d77b6e
- Fix dom0 qubes-repo-contrib URLs

* Fri Apr 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4eff43a
- version 4.2.11

* Fri Apr 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 600de2f
- comps: install pipewire in dom0 by default

* Sun Mar 03 2024 deeplow <deeplower@protonmail.com> - 3ae6971
- .qubesbuilder: replace 'spec' by 'build'

* Thu Feb 15 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e21794f
- Update default Fedora template to 39

* Wed Jan 24 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 96bd398
- version 4.2.10

* Wed Jan 24 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b4c9d86
- archlinux: prefer current-testing if enabled

* Tue Nov 21 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 369f8a5
- Install disk-password-gui by default

* Sun Aug 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9a796d5
- Use xfce flavors of Fedora and Debian templates

* Fri Aug 04 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c5e0141
- Switch debian template to debian-12

* Sun Jul 23 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1faa700
- version 4.2.9

* Sat Jul 22 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6c8a5f0
- debian: use dynamic variables instead of patching control file

* Fri Jul 21 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 818623e
- version 4.2.8

* Wed Jul 12 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3870cc7
- Adjust builderv1 to use pipewire in Debian 12 too

* Sun Jul 09 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1ce8d8c
- Update to Whonix 17 and use new template naming scheme

* Fri Jul 07 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 47a6128
- Restore salt on bookworm, fix logic re ubuntu focal

* Fri Jun 02 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 56799f5
- Switch to fedora-38 template in the ISO

* Mon May 29 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0b72d44
- version 4.2.7

* Tue May 23 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2b51ce3
- ci: drop R4.1

* Tue May 23 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 47bd149
- dom0: install fwupd-qubes-dom0 by default

* Tue May 23 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a2926ae
- Install fwupd-qubes-vm by default

* Tue May 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3306562
- version 4.2.6

* Tue May 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 09c6775
- deb: Fix clearing source commands

* Tue May 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cfc8f3c
- version 4.2.5

* Mon May 15 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 88966a5
- qubes-vm-recommended: Require a PulseAudio daemon

* Mon May 15 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 747fee2
- Ensure that PulseAudio server always has Qubes support

* Mon May 15 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b28206d
- Step back for jammy on pipewire

* Mon May 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 92fe1a7
- version 4.2.4

* Sun May 07 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - bcfd41b
- Switch to pipewire from bookworm and jammy

* Wed May 03 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - fccfb1f
- jammy: use pipewire

* Wed May 03 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 086b01e
- version 4.2.3

* Wed May 03 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e5df232
- archlinux: update trusted/revoked fingerprints

* Tue May 02 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3b75e82
- Update repos to 4.2

* Tue May 02 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4758978
- Update ArchLinux repository key

* Tue May 02 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d1985ef
- salt is not available for jammy

* Tue Apr 25 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 47089b5
- archlinux: support for new packaging in legacy builder

* Sun Apr 02 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 538e16c
- Rework Archlinux packaging

* Tue Feb 21 2023 Delemax Sandria <19891105+51lieal@users.noreply.github.com> - a386176
- Update comps-dom0.xml

* Thu Feb 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 272646e
- version 4.2.2

* Thu Feb 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e9a3153
- Keep installing DejaVu fonts too

